"""===========================================================
منطق برنامه ای را طراحی کنید که یک آرایه ۲۸ عضوی را به گونه ای
بسازد که در آن عناصر خانه های با اندیس فرد اعداد زوج متوالی و
عناصر خانه های با اندیس زوج مربع هر یک از اعداد زوج ذخیره شده
در خانه های ماقبل آنها باشد و ضمن ساختن آرایه عناصر آن را نیز
نمایش دهد.
==========================================================="""

#            Make list
#----------------------------------
mylist = [0]
k = 2
for temp in range(1,28):
    if temp % 2 != 0:
        mylist.insert(temp,k)
        #print(mylist[temp])         # I don't like this
        k += 2
    else:
        p = mylist[-1]**2
        mylist.insert(temp,p)
        #print(mylist[temp])         # I don't like this
print("="*40)
print(mylist)